| DocBook: The Definitive Guide 2.0.17 (Alpha)

# varname

$Revision$

$Date$

varname — The name of a variable

## Synopsis

### Mixed Content Model

    varname ::=
    (#PCDATA|replaceable|inlinegraphic|inlinemediaobject|indexterm|
     beginpage)*

### Attributes

Common attributes

## Description

A `VarName` identifies a variable name in a programming or expression language. Variables most often get their values from `Literal`s, `Replaceable` values, `Constant`s, or `Symbol`s.

### Processing expectations

Formatted inline.

### Parents

These elements contain varname: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `code`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `fieldsynopsis`, `filename`, `firstterm`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `td`, `term`, `termdef`, `tertiary`, `tertiaryie`, `th`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in varname: `beginpage`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `replaceable`.

## See Also

`command`, `computeroutput`, `constant`, `literal`, `markup`, `option`, `optional`, `parameter`, `prompt`, `replaceable`, `sgmltag`, `userinput`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    In Perl, <varname>@ARGV</varname> contains the command line parameters
    used when the script was run.
    </para>

In Perl, `@ARGV` contains the command line parameters used when the script was run.

For additional examples, see also `literal`.

varlistentry |  | videodata

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.